# Capo properties for the Docker-provided services
metadataDatabase.jdbcDriver   = org.postgresql.Driver
metadataDatabase.jdbcUrl      = jdbc:postgresql://db/archive
metadataDatabase.jdbcUsername = archive
metadataDatabase.jdbcPassword = docker

edu.nrao.archive.configuration.AmqpServer.hostname = amqp
edu.nrao.archive.configuration.AmqpServer.username = guest
edu.nrao.archive.configuration.AmqpServer.password = guest
edu.nrao.archive.configuration.AmqpServer.port     = 5672

#
# Workspaces settings
#
edu.nrao.workspaces.CapabilitySettings.serviceUrl = http://capability:3457
edu.nrao.workspaces.WorkflowSettings.serviceUrl = http://workflow:3456
edu.nrao.workspaces.NotificationSettings.serviceUrl = http://notification:3458
edu.nrao.workspaces.UISettings.serviceUrl = http://localhost:4444/workspaces

#
# Processing Settings
#
edu.nrao.workspaces.ProcessingSettings.useCasa = false
edu.nrao.workspaces.ProcessingSettings.rootDirectory =  /lustre/aoc/cluster/pipeline/docker/workspaces/spool
edu.nrao.workspaces.ProcessingSettings.scriptLocation = /lustre/aoc/cluster/pipeline/docker/workspaces/sbin
edu.nrao.workspaces.ProcessingSettings.ramInGb = 1G
edu.nrao.workspaces.ProcessingSettings.autoGenerateStandardCals = False

edu.nrao.archive.workflow.config.CasaVersions.homeForReprocessing = /home/casa/packages/pipeline/current

#
# Delivery settings
#
edu.nrao.archive.workflow.config.DeliverySettings.nraoDownloadDirectory = /tmp/delivery_root
edu.nrao.archive.workflow.config.DeliverySettings.nraoDownloadUrl = http://localhost:4444/dl
edu.nrao.workspaces.DeliverySettings.downloadDirectory = /tmp/delivery_root
edu.nrao.workspaces.DeliverySettings.downloadUrl = http://localhost:4444/dl

#
# Ingestion Settings
#
edu.nrao.workspaces.IngestionSettings.useIngest = False
edu.nrao.workspaces.IngestionSettings.stagingDirectory = /lustre/aoc/cluster/pipeline/docker/workspaces/staging
edu.nrao.workspaces.IngestionSettings.storageDirectory = /lustre/aoc/cluster/pipeline/docker/workspaces/storage

#
# Standard Calibration Settings
#
edu.nrao.workspaces.DeliverySettings.standardCalibrationDelivery =  /lustre/aoc/cluster/pipeline/docker/workspaces/qa2
edu.nrao.workspaces.DeliverySettings.cacheWeblogDirectory =  /lustre/aoc/cluster/pipeline/docker/workspaces/cache/weblog

#
# Standard Imaging Settings
#
edu.nrao.workspaces.DeliverySettings.standardImageDelivery = /lustre/aoc/cluster/pipeline/docker/workspaces/image-qa

#
# Product Fetcher settings
#
edu.nrao.workspaces.ProductFetcherSettings.locatorServiceUrlPrefix = https://webtest.aoc.nrao.edu/archive-service/location?locator
edu.nrao.workspaces.ProductFetcherSettings.defaultThreadsPerHost = 4
edu.nrao.workspaces.ProductFetcherSettings.executionSite = local_test

#
# Notification Settings
#
edu.nrao.workspaces.NotificationSettings.analystEmail = workspaces-analysts-test@listmgr.nrao.edu

#
# CARTA settings
#
edu.nrao.workspaces.carta.useCarta = False
edu.nrao.carta.timeoutInMinutes = 1
edu.nrao.carta.pathToExecutable = /fake/path/to/nowhere
edu.nrao.carta.host = nowhere.nrao.edu
edu.nrao.carta.redisHost = noplace.nrao.edu
edu.nrao.carta.reverseProxyHost = black-abyss.nrao.edu
edu.nrao.carta.redisPort = 6397
edu.nrao.carta.redisPassword = password
